Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description
Class AxisBindingOperation

    java.lang.Object
      org.apache.axis2.description.AxisDescription
          org.apache.axis2.description.AxisBindingOperation

All Implemented Interfaces:
  DescriptionConstants, ParameterInclude

    public class AxisBindingOperation

extends AxisDescription

An AxisBindingOperation represents a WSDL <bindingOperation>

Field Summary

Fields inherited from class org.apache.axis2.description.AxisDescription
`engagedModules, parameterObservers, parent`

Fields inherited from interface org.apache.axis2.description.DescriptionConstants
`CLASSLOADER_KEY, CONTEXTPATH_KEY, EXECUTION_CHAIN_KEY, EXECUTION_FAULT_CHAIN_KEY, EXECUTION_OUT_CHAIN_KEY, IN_FAULTFLOW_KEY, INFLOW_KEY, MESSAGE_RECEIVER_KEY, MODULEREF_KEY, OPERATION_KEY, OUT_FAULTFLOW_KEY, OUTFLOW_KEY, PARAMETER_KEY, PHASES_KEY, SERVICE_CLASS_NAME, STYLE_KEY`

Constructor Summary
`AxisBindingOperation()`

Method Summary
`void` | `addFault(AxisBindingMessage fault)`
`void` | `engageModule(AxisModule axisModule)` Engage a Module at this level
`AxisBinding` | `getAxisBinding()`
`AxisOperation` | `getAxisOperation()`
`org.apache.neethi.Policy` | `getEffectivePolicy()`
`AxisBindingMessage` | `getFault(String name)`
`ArrayList<AxisBindingMessage>` | `getFaults()`
`Object` | `getKey()`
`QName` | `getName()`
`Object` | `getProperty(String name)`
`boolean` | `isEngaged(String moduleName)` Check if a given module is engaged at this level.
`void` | `setAxisOperation(AxisOperation axisOperation)`
`void` | `setName(QName name)`
`void` | `setProperty(String name, Object value)`
`org.apache.axiom.om.OMElement` | `toWSDL20(org.apache.axiom.om.OMNamespace wsdl, org.apache.axiom.om.OMNamespace tns, org.apache.axiom.om.OMNamespace wsoap, org.apache.axiom.om.OMNamespace whttp, String type, Map<String,String> namespaceMap, String serviceName)` Generates the bindingOperation element

Methods inherited from class org.apache.axis2.description.AxisDescription
`addChild, addChild, addParameter, addParameter, addParameterObserver, applyPolicy, applyPolicy, deserializeParameters, disengageModule, engageModule, getAxisConfiguration, getChild, getChildren, getDocumentation, getDocumentationNode, getEngagedModules, getParameter, getParameters, getParameterValue, getParent, getPolicyInclude, getPolicySubject, isEngaged, isParameterLocked, isParameterTrue, onDisengage, onEngage, removeChild, removeParameter, removeParameterObserver, setDocumentation, setDocumentation, setParent, setPolicyInclude`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AxisBindingOperation

    public AxisBindingOperation()

Method Detail

### getFaults

    public ArrayList<AxisBindingMessage> getFaults()

### getFault

    public AxisBindingMessage getFault(String name)

### addFault

    public void addFault(AxisBindingMessage fault)

### getName

    public QName getName()

### setName

    public void setName(QName name)

### getAxisOperation

    public AxisOperation getAxisOperation()

### setAxisOperation

    public void setAxisOperation(AxisOperation axisOperation)

### setProperty

    public void setProperty(String name,
                            Object value)

### getProperty

    public Object getProperty(String name)

### getKey

    public Object getKey()

  Specified by:
    `getKey` in class `AxisDescription`

### engageModule

    public void engageModule(AxisModule axisModule)
                      throws AxisFault

  Description copied from class: `AxisDescription`
  Engage a Module at this level

  Overrides:
    `engageModule` in class `AxisDescription`
  Parameters:
    `axisModule` - the Module to engage
  Throws:
    `AxisFault` - if there's a problem engaging

### isEngaged

    public boolean isEngaged(String moduleName)

  Description copied from class: `AxisDescription`
  Check if a given module is engaged at this level.

  Overrides:
    `isEngaged` in class `AxisDescription`
  Parameters:
    `moduleName` - module to investigate.
  Returns:
    true if engaged, false if not. TODO: Handle versions? isEngaged("addressing") should be true even for versioned modulename...

### toWSDL20

    public org.apache.axiom.om.OMElement toWSDL20(org.apache.axiom.om.OMNamespace wsdl,
                                                  org.apache.axiom.om.OMNamespace tns,
                                                  org.apache.axiom.om.OMNamespace wsoap,
                                                  org.apache.axiom.om.OMNamespace whttp,
                                                  String type,
                                                  Map<String,String> namespaceMap,
                                                  String serviceName)

  Generates the bindingOperation element

  Parameters:
    `wsdl` - The WSDL namespace
    `tns` - The targetnamespace
    `wsoap` - The SOAP namespace (WSDL 2.0)
    `whttp` - The HTTP namespace (WSDL 2.0)
    `type` - Indicates whether the binding is SOAP or HTTP
    `namespaceMap` - the service's namespace map (prefix -> namespace)
    `serviceName` - the name of the service
  Returns:
    The generated binding element

### getEffectivePolicy

    public org.apache.neethi.Policy getEffectivePolicy()

### getAxisBinding

    public AxisBinding getAxisBinding()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.